﻿
&НаСервере
Процедура ВходНаСервере()
	сервис = WSСсылки.WSUser.СоздатьWSПрокси("WSUser", "WSUser", "WSUserSoap12");
	сервис.Пользователь = "mobile";
	сервис.Пароль = "111";
	ид = сервис.LoginUser(ВхИмя, ВхПароль);
	Константы.ГУИД.Установить(Новый УникальныйИдентификатор(ид));
КонецПроцедуры

&НаКлиенте
Процедура Вход(Команда)
	ВходНаСервере();
	Закрыть();
КонецПроцедуры

&НаСервере
Процедура ПриСозданииНаСервере(Отказ, СтандартнаяОбработка)
	Элементы.ПарольИнфо.Видимость = Ложь;
	Если ЗначениеЗаполнено(Константы.ГУИД.Получить()) Тогда 
		Отказ = Истина;
	КонецЕсли;
КонецПроцедуры

&НаСервере
Процедура РегистрацияНаСервере()
	сервис = WSСсылки.WSUser.СоздатьWSПрокси("WSUser", "WSUser", "WSUserSoap12");
	ид = сервис.CreateUser(РегИмя, РегПароль);
	Попытка
		Константы.ГУИД.Установить(Новый УникальныйИдентификатор(ид));
	Исключение
		Сообщить("Ошибка при регистрации - " + ид);	
	КонецПопытки;
КонецПроцедуры

&НаКлиенте
Процедура Регистрация(Команда)
	Если РегПароль <> РегПарольПовтор Тогда 
		Элементы.ПарольИнфо.Видимость = Истина;
		Элементы.ПарольИнфо.Заголовок = "Пароли не совпадают!";	
		Элементы.ПарольИнфо.ЦветТекста = Новый Цвет(255, 0, 0);
	Иначе
		РегистрацияНаСервере();
		Закрыть();
	КонецЕсли;
КонецПроцедуры

&НаКлиенте
Процедура ПередЗакрытием(Отказ, ЗавершениеРаботы, ТекстПредупреждения, СтандартнаяОбработка)
	Если ЗаполненГУИД() Тогда 
		Отказ = Ложь;	
	Иначе 	
		Отказ = Истина;
	КонецЕсли;
КонецПроцедуры

&НаСервереБезКонтекста
Функция ЗаполненГУИД()
	Возврат ЗначениеЗаполнено(Константы.ГУИД.Получить());
КонецФункции
